# Get action by ID Consult all the information of an action created for a Point terminal using the ID obtained in the response to its creation. In case of success, the request will return a response with status 200. **GET** `/terminals/v1/actions/{action_id}` ## Request parameters ### Path - `action_id` (string, required) Action ID, returned in the response to the request made for its creation. ## Response parameters - `id` (string, optional) Identifier of the action created in the request, automatically generated by Mercado Pago. - `type` (string, optional) Action type. Possible enum values: - `print` Print action created for Point. - `external_reference` (string, optional) The external reference of the action is assigned at the time of creation. The maximum allowed limit is 64 characters, and acceptable characters include uppercase and lowercase letters, numbers, and the symbols hyphen (-) and underscore (_). - `status` (string, optional) Current status of the action. Possible enum values: - `created` The action has been succesfully created. - `on_terminal` The action was obtained by the terminal and is ready for process. - `canceled` The action has been canceled, either through the API or the terminal. - `processed` The action has been successfully processed. - `failed` An error occurred during the processing of the action. This may have been caused by incorrect data submission, an issue related to the type of action, or a problem with the machine. - `config` (object, optional) Action type configuration. - `config.point` (object, optional) Point action configuration. - `config.point.terminal_id` (string, optional) Identifier of the terminal that will obtain the action. You must send it according to the following format: "type of terminal + “__” + terminal serial", as in the following example: "NEWLAND_N950__N950NCB123456789". The serial number can be found on the rear label of the terminal. - `config.point.subtype` (string, optional) Identifier of the action subtype that will be created for the Point terminal. If the action is "print" you must choose between two values: "custom" for a customized printing, or "image" for an image printout. Possible enum values: - `image` Subtype identifier related to image impressions. Must contain the image encoded in base64 format. - `custom` Identifier of the subtype related to custom printings. It must contains one or more of the supported tags in order to perform a printing on the Point terminal. - `created_date` (string, optional) Creation date of the action, in "yyyy-MM-ddTHH:mm:ss.sssZ" format. ## Errors | Status | Error | Description | | ------- | ------- | ----------- | | 401 | unauthorized | The value sent as the Access Token is incorrect. Please check and try sending the request again with the correct value. | | 404 | order_not_found | Order not found. Please check if you provided the correct order ID. | | 500 | 500 | Internal server error. Please try submitting the request again. | ## Request example ### cURL ```bash curl -X GET \ 'https://api.mercadopago.com/terminals/v1/actions/{action_id}' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` ## Response example ```json { "id": "8952c6cf-bbb4-482c-a9f2-ea5fecd3ecd2", "type": "print", "external_reference": "ext_ref_1234", "status": "created", "config": { "point": { "terminal_id": "NEWLAND_N950__N950NCB123456789", "subtype": "image" } }, "created_date": "2024-09-10T14:26:42.109320977Z" } ```